## ros-one-pr2-run-stop-auto-restart 1.6.32-21jammy.20251023.0153

=== debian/changelog ===
ros-one-pr2-run-stop-auto-restart (1.6.32-21jammy.20251023.0153) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 23 Oct 2025 01:53:57 +0000

ros-one-pr2-run-stop-auto-restart (1.6.32-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 26 May 2021 00:00:00 -0000

ros-one-pr2-run-stop-auto-restart (1.6.31-0jammy) jammy; urgency=high

  * fixed CMake errors
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 14 Apr 2020 00:00:00 -0000

ros-one-pr2-run-stop-auto-restart (1.6.30-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 23 Apr 2018 00:00:00 -0000

ros-one-pr2-run-stop-auto-restart (1.6.29-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Apr 2018 00:00:00 -0000

ros-one-pr2-run-stop-auto-restart (1.6.28-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 21 Apr 2018 00:00:00 -0000

ros-one-pr2-run-stop-auto-restart (1.6.27-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 00:00:00 -0000

ros-one-pr2-run-stop-auto-restart (1.6.26-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-run-stop-auto-restart (1.6.25-0jammy) jammy; urgency=high

  * updated packages for new maintainer
  * updated changelogs
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-run-stop-auto-restart (1.6.7-0jammy) jammy; urgency=high

  * Compile pr2_run_stop_auto_restart after generating pr2_msgs c++ codes
  * Contributors: Ryohei Ueda

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 11 Feb 2015 00:00:00 -0000

## ros-one-pr2-run-stop-auto-restart 1.6.32-21jammy.20260220.2242

=== debian/changelog ===
ros-one-pr2-run-stop-auto-restart (1.6.32-21jammy.20260220.2242) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Feb 2026 22:42:14 +0000

## ros-one-pr2-run-stop-auto-restart 1.6.32-21noble.20251023.0152

=== debian/changelog ===
ros-one-pr2-run-stop-auto-restart (1.6.32-21noble.20251023.0152) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 23 Oct 2025 01:52:20 +0000

ros-one-pr2-run-stop-auto-restart (1.6.32-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 26 May 2021 00:00:00 -0000

ros-one-pr2-run-stop-auto-restart (1.6.31-0noble) noble; urgency=high

  * fixed CMake errors
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 14 Apr 2020 00:00:00 -0000

ros-one-pr2-run-stop-auto-restart (1.6.30-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 23 Apr 2018 00:00:00 -0000

ros-one-pr2-run-stop-auto-restart (1.6.29-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Apr 2018 00:00:00 -0000

ros-one-pr2-run-stop-auto-restart (1.6.28-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 21 Apr 2018 00:00:00 -0000

ros-one-pr2-run-stop-auto-restart (1.6.27-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 00:00:00 -0000

ros-one-pr2-run-stop-auto-restart (1.6.26-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-run-stop-auto-restart (1.6.25-0noble) noble; urgency=high

  * updated packages for new maintainer
  * updated changelogs
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-run-stop-auto-restart (1.6.7-0noble) noble; urgency=high

  * Compile pr2_run_stop_auto_restart after generating pr2_msgs c++ codes
  * Contributors: Ryohei Ueda

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 11 Feb 2015 00:00:00 -0000

## ros-one-pr2-run-stop-auto-restart 1.6.32-21noble.20260220.2256

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
if(POLICY CMP0048)
  cmake_policy(SET CMP0048 NEW)
endif()
project(pr2_run_stop_auto_restart)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS 
   roscpp 
   pr2_msgs 
   pr2_power_board 
   std_srvs)

include_directories(${catkin_INCLUDE_DIRS})

catkin_package()

add_executable(run_stop_auto_restart src/run_stop_auto_restart.cpp)
target_link_libraries(run_stop_auto_restart ${catkin_LIBRARIES})
add_dependencies(run_stop_auto_restart ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})

install(TARGETS run_stop_auto_restart
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-one-pr2-run-stop-auto-restart (1.6.32-21noble.20260220.2256) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Feb 2026 22:56:54 +0000

=== debian/control ===
Source: ros-one-pr2-run-stop-auto-restart
Section: misc
Priority: optional
Maintainer: Dave Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-pr2-msgs, ros-one-pr2-power-board, ros-one-roscpp, ros-one-std-srvs
Homepage: http://ros.org/wiki/pr2_run_stop_auto_restart
Standards-Version: 3.9.2

Package: ros-one-pr2-run-stop-auto-restart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-pr2-msgs, ros-one-pr2-power-board, ros-one-roscpp, ros-one-std-srvs
Description: This package provides a node that monitors the state of the run stops of the pr2_robot.
 When the state of the run stop changes from off to on, this node will automatically enable the power to the motors, and reset the motors. This allows you to use the run stop as a 'pause' button. By using the run stop as a tool to power up the robot, the run stop is also in reach of the user once the robot starts moving.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pr2-run-stop-auto-restart//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
